/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import * as msRest from "@azure/ms-rest-js";
import * as Models from "../models";
import { TokenApiClientContext } from "../tokenApiClientContext";
import { SignInUrlResponse } from "botframework-schema";
/** Class representing a BotSignIn. */
export declare class BotSignIn {
    private readonly client;
    /**
     * Create a BotSignIn.
     * @param {TokenApiClientContext} client Reference to the service client.
     */
    constructor(client: TokenApiClientContext);
    /**
     * @param state
     * @param [options] The optional parameters
     * @returns Promise<Models.BotSignInGetSignInUrlResponse>
     */
    getSignInUrl(state: string, options?: Models.BotSignInGetSignInUrlOptionalParams): Promise<Models.BotSignInGetSignInUrlResponse>;
    /**
     * @param state
     * @param callback The callback
     */
    getSignInUrl(state: string, callback: msRest.ServiceCallback<string>): void;
    /**
     * @param state
     * @param options The optional parameters
     * @param callback The callback
     */
    getSignInUrl(state: string, options: Models.BotSignInGetSignInUrlOptionalParams, callback: msRest.ServiceCallback<string>): void;
    /**
     * @param state
     * @param [options] The optional parameters
     * @returns Promise<Models.BotSignInGetSignInResourceResponse>
     */
    getSignInResource(state: string, options?: Models.BotSignInGetSignInResourceOptionalParams): Promise<Models.BotSignInGetSignInResourceResponse>;
    /**
     * @param state
     * @param callback The callback
     */
    getSignInResource(state: string, callback: msRest.ServiceCallback<SignInUrlResponse>): void;
    /**
     * @param state
     * @param options The optional parameters
     * @param callback The callback
     */
    getSignInResource(state: string, options: Models.BotSignInGetSignInResourceOptionalParams, callback: msRest.ServiceCallback<SignInUrlResponse>): void;
}
//# sourceMappingURL=botSignIn.d.ts.map